# Moritz Orbach 2005, 2006, 2007, 2008, 2021
# gnu@apfelboymchen.net
# http://apfelboymchen.net/gnu/configstuff/scripts/
#
# set the prompt

set_prompt()
{
        # 0: normal - 1: light
        #
        local white="\e[0;37m"
        local black="\e[0;30m"
        local red="\e[0;31m"
        local green="\e[0;32m"
        local yellow="\e[0;33m"
        local blue="\e[0;34m"
        local magenta="\e[0;35m"
        local cyan="\e[0;36m"

        local light_white="\e[1;37m"
        local light_black="\e[1;30m"
        local light_red="\e[1;31m"
        local light_green="\e[1;32m"
        local light_yellow="\e[1;33m"
        local light_blue="\e[1;34m"
        local light_magenta="\e[1;35m"
        local light_cyan="\e[1;36m"

        local hwtype="$(systemd-detect-virt)"
        case $USER in
                root)
                        prompt="#"
                        usercolor="$red"
                        ;;
                *)
                        prompt="$"
                        usercolor="$light_yellow"
                        ;;
        esac

        # systemd-detect-virt --list
        case $hwtype in
                kvm|vm-other|vmware)
                        hostcolor="$green"
                        ;;
                systemd-nspawn|container-other)
                        hostcolor="$yellow"
                        ;;
                none)   hostcolor="$cyan"
                        ;;
                *)      hostcolor="$white"
                        ;;
        esac



        #if [ "$SSH_TTY" ]; then
        #                # remote
        #                hostcolor="$cyan"
        #fi

        # - immer fein '\[ \]' sonst macht's keinen CR am Ende des Bildschirms (bash)
        # - immer fein 0; vor die Backgroundcolors, sonst kanns auch mal eine 
        #    lightcolor werden wenn man z.B ein ls|more abbricht
        local rccolor='\[\e[0;$(($??31:37))m\]'
        export PS1="\[$usercolor\]\u\[\e[0;37m\]@\[$hostcolor\]\h\[\e[0;37m\]:\[\e[1;30m\]\w $rccolor${prompt} \[\e[0m\]"
}

set_prompt
unset set_prompt

## diesen Befehl bei jedem Prompt ausfhren
##
## nicht in allen terminals notwendig (aber in linux-console und xterm)
## \e[K\] lscht bis zum Ende der Zeile, damit der Cursor nach einem ls wieder 
## sichtbar wird
#PROMPT_COMMAND='echo -ne "\033[K"'

# vim:ft=sh:sw=8:ts=8:expandtab
# birth: 2005-04-09
