# Moritz Orbach, 2021
# Running screen? Sweet! Let's have per-window history.

function hist_per_window
{
    local histfileadd
    local sessionname="${STY##*.}"
    if [ "$sessionname" == "$HOSTNAME" ]; then
        # screen uses $HOSTNAME if no session name is set.
        # Just append the window number
        histfileadd=".$WINDOW"
    else
        # screen -S somename
        # use extra history files for named sessions
        histfileadd="_$sessionname.$WINDOW"
    fi

    HISTFILE="$HOME/.bash_history${histfileadd}"
}

test "$WINDOW" && hist_per_window
unset hist_per_window

# vim:ft=sh
# birth: Do 16. Sep 19:45:37 CEST 2021 aus ../bashrc
