# Moritz Orbach 2005, 2006, 2007, 2008, 2010, 2011, 2021
# gnu@apfelboymchen.net
# http://apfelboymchen.net/gnu/configstuff/scripts/
#
# arranges everything so that the vim configuration from this package is used.
# This means setting VIM for the configuration file.
# 
# According to :help VIMRUNTIME the envvar $VIMRUNTIME should be determined 
# automatically ob be compiled in, but that doesn't work. So it is set also.

function env_vim()
{
        type -p vim >/dev/null || return 1

        # vim found
        if [ -z "$VIMRUNTIME" ]; then
                local i vimloc_search
                vimloc_search="/usr/share/vim/vim[0-9][0-9] /opt/sfw/share/vim/vim[0-9][0-9] /usr/local/share/vim/vim[0-9][0-9]"
                for i in $vimloc_search; do
                        test -d "$i" && vimloc=$i
                done
                export VIMRUNTIME="$vimloc"
        fi

        if [ -d "$VIMRUNTIME" ]; then
                export VIM="$BASEDIR/vim"
                # -u masks ~/.vimrc, but this vimrc reads it in at the end if it exists
                alias vim="vim -u $VIM/vimrc"
        fi
        unset vimloc

        # set vim as editor
        export EDITOR=vim
        export VISUAL=$EDITOR
        set +x
}

env_vim
unset env_vim

# birth: Do 16. Sep 19:32:39 CEST 2021 aus ../bashrc
